%global srcname cairocffi

Name:           python-cairocffi
Version:        1.3.0
Release:        2
Summary:        cffi-based cairo bindings for Python
License:        BSD-3-Clause
URL:            https://pypi.python.org/pypi/cairocffi/
Source0:        https://files.pythonhosted.org/packages/source/c/cairocffi/cairocffi-%{version}.tar.gz
Patch1:         0001-fix-test-case-due-to-pytest-module-defected.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi >= 1.1.0
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-xcffib >= 0.3.2
BuildRequires:  cairo-devel
# required to run the test suite
BuildRequires:  python3-numpy
BuildRequires:  gdk-pixbuf2
BuildRequires:  gdk-pixbuf2-modules
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  python3-isort

%global _description\
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of\
Python bindings and object-oriented API for cairo.  Cairo is a 2D\
vector graphics library with support for multiple backends including\
image buffers, PNG, PostScript, PDF, and SVG file output.

%description %_description

%package -n python3-cairocffi
Summary:        cffi-based cairo bindings for Python
Requires:       python3-cffi
Requires:       cairo
# required by cairocffi.pixbuf
Requires:       python3-xcffib >= 0.3.2
# Provide the cairocffi[xcb] extras, because there is no reasonable split
# Be aware that %%version is not converted to the Pythonistic version here!
Provides:       python%{python3_pkgversion}dist(cairocffi[xcb]) = %{version}
Provides:       python%{python3_version}dist(cairocffi[xcb]) = %{version}
%{?python_provide:%python_provide python3-cairocffi}

%description -n python3-cairocffi %_description

%prep
%autosetup -n cairocffi-%{version} -p1
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-cairocffi
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Nov 1 2022 liyanan <liyanan32@h-partners.com> 1.3.0-2
- Test without xvfb-run

* Mon Oct 17 2022 Ge Wang<wangge20@h-partners.com> 1.3.0-1
- Upgrade to version 1.3.0

* Fri Feb 19 2021 Ge Wang<wangge20@huawei.com> - 1.2.0-1
- Init package
